/* compatibility library for porting existing NSF fortran 
   applications to EuroGam system */

/* DB, June 1992 */


#ifndef INCnsflibh
#define INCnsflibh

#if defined (__STDC__) || defined (__cplusplus) || defined (c_plusplus)
#if defined (__cplusplus) || defined (c_plusplus)
extern "C" {
#endif
extern void serror_ (char*, int*);
extern void sexpt_ (int*);
extern void sname_ (int*, char*, int*, int*);
extern void siden_ (int*, char*, int*, int*);
extern void sdef_ (int*, int*, int*, int*, int*, int*, char*, int*, int*);
extern void sdel_ (int*, int*);
extern void srtit_ (int*, char*, int*, int*);
extern void swtit_ (int*, char*, int*, int*);
extern void srlab_ (int*, char*, int*, int*);
extern void swlab_ (int*, char*, int*, int*);
extern void srcal_ (int*, char*, int*, int*);
extern void swcal_ (int*, char*, int*, int*);
extern void sinq_ (int*, int*, int*, int*, int*, int*, int*);
extern void sread_ (int*, int*, int*, int*, int*, int*, int*, int*);
extern void swrite_ (int*, int*, int*, int*, int*, int*, int*, int*);
extern void srmax_ (int*, int*, int*, int*);
extern void swmax_ (int*, int*, int*, int*);
extern void ctoi_ (char*, int*, int*, int*, int);
extern void exit_ (int*);
extern void sdcal_ (char*, int*, char*, char*, int*, float*, int*);
extern void secal_ (char*, int*, char*, char*, int*, float*, int*, int, int, int);
extern void setcc_ (int*);
extern void exstop_ (int*);
extern void sweep_ ();
#if defined (__cplusplus) || defined (c_plusplus)
   }
#endif

#else
extern void serror_ ();
extern void sexpt_ ();
extern void sname_ ();
extern void siden_ ();
extern void sdef_ ();
extern void sdel_ ();
extern void srtit_ ();
extern void swtit_ ();
extern void srlab_ ();
extern void swlab_ ();
extern void srcal_ ();
extern void swcal_ ();
extern void sinq_ ();
extern void sread_ ();
extern void swrite_ ();
extern void srmax_ ();
extern void swmax_ ();
extern void ctoi_ ();
extern void exit_ ();
extern void sdcal_ ();
extern void secal_ ();
extern void setcc_ ();
extern void exstop_ ();
extern void sweep_ ();
#endif

#endif



