
#   auto-load.tcl   -  core 

set autoloaded {}
set autotclhome {}
set MIDASautoloadlist {}

    set autoloadfile [set env(AUTOLOAD)]_$tcl_version.tcl
    if {[file exists $autoloadfile]} then {
        puts stdout "sourcing $autoloadfile"
        source $autoloadfile
    } else {
        puts stdout "sourcing [set env(AUTOLOAD)]_8.x.tcl"
        source  [set env(AUTOLOAD)]_8.x.tcl
   }


proc MIDASautoloadfile {f path} {
     global env debug autoloaded autotclhome
#     puts stdout "trying to load $f from $path"
     set s {}
     foreach dir $path {
        set file [file join $dir $f.tcl]
        if { [file exists $file] } {
          set autotclhome $dir
          puts stdout "sourcing $file..."
           uplevel #0 source $file
           lappend autoloaded $file
              set file [file join $dir $f.$env(TCLWM).tcl]
              if { [file exists $file] } {
              puts stdout "sourcing $file..."
              uplevel #0 source $file
              lappend autoloaded $file
              }
           set s [concat $dir $s]
           foreach dir $s {
               set file [file join $dir $f.patch.tcl]
               if { [file exists $file] } {
             puts stdout "sourcing $file..."
              uplevel #0 source $file
              lappend autoloaded $file
              }
              set file [file join $dir $f.patch.$env(TCLWM).tcl]
              if { [file exists $file] } {
             puts stdout "sourcing $file..."
              uplevel #0 source $file
              lappend autoloaded $file
              }
           }
           return 1
        }
        set s [concat $dir $s]
     }
puts stderr "can't autoload $f.tcl from $env(TCLPATH)"
return 0
}
 

proc MIDASauto-load files {
   global MIDASautoloadlist
   set MIDASautoloadlist $files
}

